BLK_QUEUE_ORDERED(9)

NAME
blk_queue_ordered - does this queue support ordered writes

SYNOPSIS

int blk_queue_ordered (request_queue_t * q, unsigned ordered, prepare_flush_fn * prepare_flush_fn);

ARGUMENTS

q   the request queue

ordered
    one of QUEUE_ORDERED_*

prepare_flush_fn
    rq setup helper for cache flush ordered writes

DESCRIPTION

For journalled file systems, doing ordered writes on a commit block instead of explicitly doing wait_on_buffer (which is bad for performance) can be a big win. Block drivers supporting this feature should call this function and indicate so.